/* Estilos para celdas de tabla rápida con límite de líneas */
.c-quick-table .c-table-body__cell .c-table-cell__content {
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
	display: -webkit-box;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: normal;
	max-height: calc(1.4em * 3);
	position: relative;
}

/* Expandir contenido de celda cuando se activa el estado expandido */
.c-quick-table .c-table-body__cell .c-table-cell__content--expanded {
	-webkit-line-clamp: unset;
	display: block;
	overflow: visible;
	max-height: none;
	white-space: normal;
}

/* Wrapper de celda para posicionamiento relativo del botón */
.c-quick-table .c-table-cell__wrapper {
	position: relative;
	width: 100%;
	display: inline-flex;
	flex-direction: row;
	justify-content: space-between;
}

/* Botón de expansión "Ver más/Ver menos" */
.c-quick-table .c-table-cell__expand-btn,
.c-quick-table .c-table-body__cell .c-table-cell__content--expanded~.c-table-cell__expand-btn {
	position: relative;
	/* top: 0rem; */
	/* background: linear-gradient(to right, #ccc 0%, rgba(255, 255, 255, 0.9) 30%, #bbbcc9 60%); */
	/* color: #0066cc; */
	cursor: pointer;
	font-size: 1rem;
	/* font-weight: 500; */
	/* text-decoration: underline; */
	z-index: 10;
	transition: color 0.2s ease;
	height: 1rem;
	text-wrap-mode: nowrap;
	border-radius: 0.5rem;
	/* font-size: 1rem; */
	/* padding: 0.8rem 0.5rem; */
	align-items: center;
	/* display: grid; */
	background: var(--primary-f-light);
	;
	place-items: center;
	padding-bottom: 1.5rem;
	padding-top: .5rem;
	border: none;
}


.c-quick-table .c-table-cell__expand-btn::after,
.c-quick-table .c-table-body__cell .c-table-cell__content--expanded~.c-table-cell__expand-btn::after {
	content: '';
	display: inline-block;
	width: 1rem;
	height: 1rem;
	background: var(--primary-f-light) url(/assets/skins/lahuen/base/images/icon_select.svg) center / 0.8rem no-repeat;
}

.c-quick-table .c-table-body__cell .c-table-cell__content--expanded~.c-table-cell__expand-btn::after {
	transform: rotate(180deg);
}


/* Hover del botón de expansión */
.c-quick-table .c-table-cell__expand-btn:hover {
	color: #0052a3;
}

.viewmore-tooltiptext {
	visibility: hidden;
	width: 5rem;
	background-color: var(--primary-f-light);
	color: black;
	text-align: center;
	border-radius: .5rem;
	padding: .2rem;
	position: absolute;
	z-index: 1;
	left: -2rem;
}

.c-quick-table .c-table-cell__expand-btn:hover .viewmore-tooltiptext {
	visibility: visible;
}
